PostgreSQL 8.4.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# CREATE GROUP

## Name

CREATE GROUP -- define a new database role

## Synopsis

    CREATE GROUP name [ [ WITH ] option [ ... ] ]

    where option can be:

          SUPERUSER | NOSUPERUSER
        | CREATEDB | NOCREATEDB
        | CREATEROLE | NOCREATEROLE
        | CREATEUSER | NOCREATEUSER
        | INHERIT | NOINHERIT
        | LOGIN | NOLOGIN
        | [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password'
        | VALID UNTIL 'timestamp'
        | IN ROLE rolename [, ...]
        | IN GROUP rolename [, ...]
        | ROLE rolename [, ...]
        | ADMIN rolename [, ...]
        | USER rolename [, ...]
        | SYSID uid

## Description

`CREATE GROUP` is now an alias for CREATE ROLE.

## Compatibility

There is no `CREATE GROUP` statement in the SQL standard.

## See Also

CREATE ROLE

Prev | Home | Next
CREATE FUNCTION | Up | CREATE INDEX